{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.woodlouse.idle": {
			"initial_state": "default",
			"states": {
				"default": {
					"animations": [
						"idle"
					]
				}
			}
		},
		"controller.animation.woodlouse.general": {
			"initial_state": "default",
			"states": {
				"default": {
					"animations": [
						"look_at_target"
					]
				}
			}
		},
		"controller.animation.woodlouse.walk": {
			"initial_state": "default",
			"states": {
				"default": {
					"transitions": [
						{
							"walking": "query.modified_move_speed"
						}
					],
					"blend_transition": 0.2
				},
				"walking": {
					"animations": [
						{
							"walk": "query.is_moving"
						}
					],
					"transitions": [
						{
							"default": "query.modified_move_speed<0"
						}
					],
					"blend_transition": 0.2
				}
			}
		},
		"controller.animation.woodlouse.dig": {
			"initial_state": "default",
			"states": {
				"default": {
					"transitions": [
						{
							"dig": "query.timer_flag_2"
						}
					],
					"blend_transition": 0.2
				},
				"dig": {
					"animations": [
						"dig"
					],
					"transitions": [
						{
							"default": "!query.timer_flag_2"
						}
					],
					"blend_transition": 0.2
				}
			}
		},
		"controller.animation.woodlouse.emerge": {
			"initial_state": "default",
			"states": {
				"default": {
					"transitions": [
						{
							"emerge": "query.is_emerging"
						}
					],
					"blend_transition": 0.2
				},
				"emerge": {
					"animations": [
						"emerge"
					],
					"transitions": [
						{
							"default": "!query.is_emerging"
						}
					],
					"blend_transition": 0.2
				}
			}
		},
		"controller.animation.woodlouse.happy": {
			"initial_state": "default",
			"states": {
				"default": {
					"transitions": [
						{
							"happy": "query.timer_flag_1"
						}
					],
					"blend_transition": 0.2
				},
				"happy": {
					"animations": [
						"happy"
					],
					"transitions": [
						{
							"default": "!query.timer_flag_1"
						}
					],
					"blend_transition": 0.2
				}
			}
		},
		"controller.animation.woodlouse.sad": {
			"initial_state": "default",
			"states": {
				"default": {
					"transitions": [
						{
							"sad": "query.timer_flag_3"
						}
					],
					"blend_transition": 0.2
				},
				"sad": {
					"animations": [
						"sad"
					],
					"transitions": [
						{
							"default": "!query.timer_flag_3"
						}
					],
					"blend_transition": 0.2
				}
			}
		},
		"controller.animation.woodlouse.get_target": {
			"initial_state": "default",
			"states": {
				"default": {
					"transitions": [
						{
							"get_target": "query.is_saddled"
						}
					],
					"blend_transition": 0.2
				},
				"get_target": {
					"animations": [
						"get_target"
					],
					"transitions": [
						{
							"default": "!query.is_saddled"
						}
					],
					"blend_transition": 0.2
				}
			}
		}
	}
}